package ru.soune.nocopy.entity.payout;

import jakarta.persistence.DiscriminatorValue;
import jakarta.persistence.Entity;

@Entity
@DiscriminatorValue("INTERNAL")
public class InternalPayoutMethod extends PayoutMethod {

    @Override
    public String getDisplayName() {
        return "Internal balance";
    }

    @Override
    public String getMaskedDetails() {
        return "Account balance";
    }
}
